Page MenuHomePhabricator

[Bug] Image clicks are ignored by searchSatisfaction
Closed, ResolvedPublic

Description

In T188421#4034622, @dcausse found that image clicks are ignored by searchSatisfaction because SRP click events only recognize '.mw-search-result-heading a, #mw-search-DYM-suggestion, #mw-search-DYM-original, #mw-search-DYM-rewritten'. See https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/extensions/WikimediaEvents/+/master/modules/all/ext.wikimediaEvents.searchSatisfaction.js#670

Besides fixing it for image results, we may also want to consider:

  • Is there any other types of result ignored by searchSatisfaction?
  • Does this bug affect visitPage event?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 8 2018, 7:58 PM
This comment was removed by chelsyx.
EBjune triaged this task as Normal priority.Jun 7 2018, 5:19 PM
EBjune moved this task from needs triage to This Quarter on the Discovery-Search board.

@Ramsey-WMF JK said you are actively looking into the search clickthrough rate on Commons, and this bug is making the rate lower than it should be. How soon do you want it to get fixed?

@chelsyx Ideally we'd have that fixed this quarter so we can start measuring baseline pre-SDC search numbers next quarter before we launch search on structured data in Jan.

Change 460414 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/extensions/WikimediaEvents@master] Track clicks to thumbnails on search

https://gerrit.wikimedia.org/r/460414

Change 460412 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/core@master] Give search results a consistent css class to select

https://gerrit.wikimedia.org/r/460412

Change 460412 merged by jenkins-bot:
[mediawiki/core@master] Give search results a consistent css class to select

https://gerrit.wikimedia.org/r/460412

Change 460414 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Track clicks to thumbnails on search

https://gerrit.wikimedia.org/r/460414

Did this fix ever got deployed? If not, can we do that soon? :)

Per the tags from ReleaseTaggerBot this should have been deployed with wmf.22, and we are now on wmf.23 with .24 rolling out. So this should be deployed.

Looking at the project search metrics for commonswiki we can see a large bump in engagement around 9/20, and a dramatic return of clickthrough rates to prior levels. SAL logs confirm wmf.22 was deployed on 9/20.

Ramsey-WMF closed this task as Resolved.Oct 3 2018, 7:54 PM

Cool. Thanks @EBernhardson . Looks like this is resolved so I'm gonna go ahead and close this ticket.